---
title: "Week 14, Wednesday: Candy and FrysIX Moves"
date: 2024-10-30T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/aurora.png" alt="Credit: Aurora, YouTube" >}}

Today I did pretty much nothing :) I spent a bunch of time in the flight simulator flying circuits
and trying to keep my altitude. Also I did about twenty (flyby) approaches where I would try to have
a sink rate of 400ft/min and 60kts with flaps at 10 degrees. The airplane is sluggish at this speed,
so there's a bit of a delay before the correct attitude is reached. Think of it as a really slow PID
controller. I'm still pretty terrible at it, but at least I am putting the airplane down in one
piece. Doing visual approach is really difficult by the way, because looking left and right is a bit
awkward. Seeing as my spiffy video card has four monitor outputs, I think I'll try to get my hands
on some cheap screens that could serve as left and right windows.

After lunch I take another look at the `sFlow` plugin - for some reason it is emitting large
interface IDs (1e9 + hw_if_index), but Neil has written it such that if a Linux Control Plane pair
exists, it'll use the Linux vif_index. Clearly that isn't happening, and I have a pending call with
him tonight to try to get to the bottom of it.

In the late afternoon, Quinn Marina and I draw smiley faces on our halloween candy baggies, and fill
them with an inordinate amount of candy. We make 120 baggies, as in previous years, we've often been
able to offload 100+ of these things to the neighborhood kids, the weather is going to be good
tomorrow, and Quinn decorated our front porch in a very inviting way: I'm sure the kids will enjoy
it, but not as much as we will, methinks :)

After dinner, Marina and I watch some news, and then I retire to the basement for my call. I futz a
bit with the audio, but eventually am able to greet Peter and Neil. We talk about a few operational
details, notably:

1.   the ability of the `hsflowd` to send its update traffic from a network namespace different to
the main one (because VPP wants to run in a `dataplane` netns). The tool already supports this,
yaay!
1.   if samples are received before the interface counters (with their respective interface IDs
mapped to the Linux Control Plane vif_index'es, then those samples will arrive at the collector with
these if_index values of 1000000001 and so on. This will make tools like Akvorado try to retrieve
SNMP indexes with that - but they won't exist and this is a bug. Neil agrees, and will inhibit
sending of samples until after the first counter for an interface is found
1.   a propose the large numbers, they are repeatably and permanemently `1e9+idx` for me, while they
should really be the LCP vif_index. We add some debug logging, but it doesn't trigger. Then we run
out of time and we promise each other we'll both look into it offline.

All in all, a super productive meeting, and once again I learned a tonne.

At 23:00 I need to complete the move of the FrysIX virtual machines from my hypervisor at Equinix
AM3 to another one at Qupra, which Arend connected to FrysIX infrastructure yesterday. This move is
important, because the SSDs in the AM3 hypervisor are crappy, while the ones in Qupra are enterprise
SAS-12 SSDs from NetApp: much faster, must higher write rate, much longer durability (famous last
words).

I take a snapshot copy of `rs2.frys-ix.net` first, and copy that VM to its new spot, but disconnect
the FrysIX port, by moving the virtio network card from the FrysIX bridge group to an empty bridge
group. I boot it, and upgrade it from Debian Bullseye to Debian Bookworm while I'm here. I have it
download its config and at 23:00 exactly, I shutdown the old `rs2` and connect the virtio network
interface to FrysIX in the new spot. Finally, I add VLAN 2604 (production) and 2605 (quarantine) to
the port in Qupra, and a few seconds later we're fully online. The migration of `rs2` took about 150
seconds of downtime. Not bad, eh??

The IXPManager virtual machine is a bit larger, but thanks to ZFS block device snapshots I can make
an incremental ZFS transfer, halt the old `ixpmanager` VM, quickly `zfs send | zfs recv`  the last
bits from the penultimate snapshot to HEAD, and boot the VM on its new spot. The IXPManager comes up
within 10 minutes or so. All in all, the maintenance window lasted from 23:00-23:35 and I was quite
happy with the results.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-30/IMG_2249.JPG" caption="The MS Flight Simulator with an ad-hoc righthand side window, easier to see the airport when doing righthand patterns. Need another screen :)" >}}
  {{< gallery-photo fn="2024-10-30/IMG_2250.JPG" caption="We are filling candy baggies for the trick-or-treat'ers tomorrow. We expect one hundred or so kids." >}}
  {{< gallery-photo fn="2024-10-30/IMG_2253.JPG" caption="The amount of sugar we are pumping into the youth in Bruttisellen is .. significant." >}}
  {{< gallery-photo fn="2024-10-30/IMG_2254.JPG" caption="The empty distribution-sized bags from Aligro. That's ... a lot of sugar." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

